%define name x11-driver-video-%{chipset}
%define chipset amd
%define version 2.7.7.6
%define snapshot 0
%if %{snapshot}
%define release %mkrel 0.%{snapshot}.1
# from git://anongit.freedesktop.org/git/xorg/driver/xf86-video-amd.git
%define distname xf86-video-%{chipset}-%{version}-%{snapshot}
%else
%define release %mkrel 2
%define distname xf86-video-amd-%{version}
%endif

Name: %{name}
Version: %{version}
Release: %{release}
Summary: The X.org driver for AMD Geode GX/LX
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/%{distname}.tar.bz2
Patch0: xf86-video-amd-2.7.7.6-wide-screen.patch
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: %{ix86}
BuildRequires: x11-proto-devel
BuildRequires: x11-server-devel
BuildRequires: x11-util-macros

%description
The X.org driver for AMD Geode GX/LX
 
%prep
%setup -q -n %{distname}
%patch0 -p1 -b .wide-screen

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/amd_drv.so
%{_libdir}/xorg/modules/drivers/amd_drv.la
%{_libdir}/xorg/modules/drivers/ztv_drv.so
%{_libdir}/xorg/modules/drivers/ztv_drv.la


%changelog
* Sun Mar 09 2008 Olivier Blin <oblin@mandriva.com> 2.7.7.6-2mdv2008.1
+ Revision: 183101
- remove autoconf2.5 buildrequire
- add support for wide and non-standard screen resolutions (from upstream git)
- revert "cleanup" to allow building from git snapshots

* Mon Feb 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.7.7.6-1mdv2008.1
+ Revision: 165467
- Revert to use upstream tarball and remove local patches.
  New upstream release version 2.7.7.6.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.7.7.5-2mdv2008.1
+ Revision: 156595
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.7.7.5-1mdv2008.1
+ Revision: 154897
- Try to simplifty things a bit as branch mandriva+gpl unlikely to ever be used:
  $ git pull -t git://anongit.freedesktop.org/git/xorg/driver/amd master
  $ git-branch -D mandriva+gpl
  $ git-checkout mandriva
  $ git-rebase xf86-video-amd-2.7.7.5
  $ git push --all
  $ git push --tags
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Update spec "comment documentation" to clearly specify the tarball is
  generated from tag xf86-video-amd-2.7.7.3, that also happens to match git
  master at time of creation of mandriva branch.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.7.7.3-1mdv2008.1
+ Revision: 98552
- new upstream version: 2.7.7.3
- new upstream version: 2.7.7.2
- remove manpages (they've been removed from upstream
  for being too outdated)
- spec cleanup

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages extension


* Wed Mar 14 2007 Olivier Blin <oblin@mandriva.com> 2.7.6.5-0.20070301.1mdv2007.1
+ Revision: 143299
- build for ix86 only (x86_64 is not supported)
- initial release
- Create x11-driver-video-amd

